function ecouterSuivi(classBouton, texteUn, iconeEtatUn, texteDeux, iconeEtatDeux, chemin) {
    $('.'+classBouton).each(function() {
        $(this).click(function(e) {
            e.preventDefault();
            let $icone = $(this).children('i');
            let contenu = $(this).attr('data-content');
            $.ajax({
                type: 'POST',
                url: chemin,
                data: 'id_film=' + contenu,
                success: function (data) {
                    console.log(data);
                    if ($icone.attr('class') === iconeEtatUn) {
                        $icone.attr('class', iconeEtatDeux);
                        $icone.text(texteDeux);
                    } else {
                        $icone.attr('class', iconeEtatUn);
                        $icone.text(texteUn);
                    }
                    return;
                },
                complete: function () {

                }
            })
        })
    })
}

function ecouterVu(classBouton, couleurVu, couleurPasVu, couleurNeutre, chemin) {
    $('.'+classBouton).each(function() {
        $(this).click(function(e) {
            e.preventDefault();
            let $icone = $(this).children();
            let contenu = $(this).attr('data-content');
            $.ajax({
                type: 'POST',
                url: chemin,
                data: 'id_film=' + contenu,
                success: function (data) {
                    console.log(data);
                    if ($icone.attr('class') === couleurNeutre) {
                        $icone.attr('class', couleurPasVu);
                        $icone.next().attr('class', couleurNeutre);
                    } else {
                        $icone.attr('class', couleurNeutre);
                        $icone.next().attr('class', couleurVu);
                    }
                    return;
                },
                complete: function () {

                }
            })
        })
    })
}